commit d8df3ad45ed412ff2436a0a0111b60f2916b202f
Author: freddy77 <freddy77>
Date:   Tue Jul 21 06:44:19 2009 +0000

    add empty column to rpc test

diff --git a/ChangeLog b/ChangeLog
index dcaff50..6879dc9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Jul 21 08:43:36 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/unittests/rpc_ct_param.c: add empty column
+
 Tue Jul 21 08:39:36 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/t0022.c: cleanup
 
@@ -1698,4 +1701,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2833 2009/07/21 06:40:16 freddy77 Exp $
+$Id: ChangeLog,v 1.2834 2009/07/21 06:44:19 freddy77 Exp $
diff --git a/src/ctlib/unittests/rpc_ct_param.c b/src/ctlib/unittests/rpc_ct_param.c
index a517473..3932f62 100644
--- a/src/ctlib/unittests/rpc_ct_param.c
+++ b/src/ctlib/unittests/rpc_ct_param.c
@@ -18,7 +18,7 @@
 #define MAX(X,Y)      (((X) > (Y)) ? (X) : (Y))
 #define MIN(X,Y)      (((X) < (Y)) ? (X) : (Y))
 
-static char software_version[] = "$Id: rpc_ct_param.c,v 1.8 2006/12/29 19:00:33 freddy77 Exp $";
+static char software_version[] = "$Id: rpc_ct_param.c,v 1.9 2009/07/21 06:44:19 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 CS_RETCODE ex_clientmsg_cb(CS_CONTEXT * context, CS_CONNECTION * connection, CS_CLIENTMSG * errmsg);
@@ -91,7 +91,7 @@ main(int argc, char *argv[])
 	strcpy(cmdbuf, "create proc sample_rpc (@intparam int, \
         @sintparam smallint output, @floatparam float output, \
         @moneyparam money output,  \
-        @dateparam datetime output, @charparam char(20) output, \
+        @dateparam datetime output, @charparam char(20) output, @empty varchar(20) output, \
         @binaryparam    binary(20) output) \
         as ");
 
@@ -102,6 +102,7 @@ main(int argc, char *argv[])
         select @moneyparam = @moneyparam + convert(money, @intparam) \
         select @dateparam = getdate() \
         select @charparam = \'The char parameters\' \
+        select @empty = \'\' \
         select @binaryparam = @binaryparam \
         print \'This is the message printed out by sample_rpc.\'");
 
@@ -253,6 +254,22 @@ main(int argc, char *argv[])
 		return 1;
 	}
 
+	strcpy(datafmt.name, "@empty");
+	datafmt.namelen = CS_NULLTERM;
+	datafmt.datatype = CS_VARCHAR_TYPE;
+	datafmt.maxlength = 60;
+	datafmt.status = CS_RETURN;
+	datafmt.locale = NULL;
+
+	/*
+	 * The character string variable is filled in by the RPC so pass NULL
+	 * for the data 0 for data length, and -1 for the indicator arguments.
+	 */
+	if ((ret = ct_param(cmd, &datafmt, NULL, 0, -1)) != CS_SUCCEED) {
+		fprintf(stderr, "ct_param(char) failed");
+		return 1;
+	}
+
 	strcpy(datafmt.name, "@binaryparam");
 	datafmt.namelen = CS_NULLTERM;
 	datafmt.datatype = CS_BINARY_TYPE;

